import { normalizeUrl } from '../lib/normalize-url';
/**
 * Factories
 */
export const createInstrumentationSignal = (rawEvent) => {
    return {
        type: 'instrumentation',
        data: {
            rawEvent: rawEvent,
        },
    };
};
export const createInteractionSignal = (data) => {
    return {
        type: 'interaction',
        data,
    };
};
export const createNavigationSignal = (data) => {
    return {
        type: 'navigation',
        data,
    };
};
export const createUserDefinedSignal = (data) => {
    return {
        type: 'userDefined',
        data,
    };
};
export const createNetworkSignal = (data, metadata) => {
    return {
        type: 'network',
        data: {
            ...data,
            url: normalizeUrl(data.url),
            ...(data.action === 'request'
                ? { method: data.method.toUpperCase() }
                : {}),
        },
        metadata: metadata,
    };
};
//# sourceMappingURL=signals.js.map